﻿using System;
using System.Collections.Generic;
using System.Data;
using System.Linq;
using System.Web;
using System.Web.UI;
using System.Web.UI.WebControls;

public partial class e_gridview_sum_of_columns_index : System.Web.UI.Page
{
    protected void Page_Load(object sender, EventArgs e)
    {
        if (!IsPostBack)
            BindGridView();
    }

    public void BindGridView()
    {
        DataTable dataTable = new DataTable();
        DataColumn[] dataColumn = new DataColumn[]
        {
                new DataColumn("Id"),
                new DataColumn("Name"),
                new DataColumn("Quantity"),
                new DataColumn("Price")
        };

        dataTable.Columns.AddRange(dataColumn);
        dataTable.Rows.Add(new object[] { 1, "Pants", 5, 10.10 });
        dataTable.Rows.Add(new object[] { 2, "Shirts", 6, 5 });
        dataTable.Rows.Add(new object[] { 3, "Shoes", 7, 8.98 });
        dataTable.Rows.Add(new object[] { 4, "Socks", 8, 9.80 });
        dataTable.Rows.Add(new object[] { 5, "TVs", 4, 99.99 });

        gridView.DataSource = dataTable;
        gridView.DataBind();
    }
}